diff -uNr stdhep-5-06-01.ORIG/mcfio/arch_mcfio stdhep-5-06-01/mcfio/arch_mcfio
--- stdhep-5-06-01.ORIG/mcfio/arch_mcfio	2006-09-14 06:21:53.000000000 +0900
+++ stdhep-5-06-01/mcfio/arch_mcfio	2011-07-16 17:52:04.000000000 +0900
@@ -59,8 +59,8 @@
 	   -lF77 -lM77 -lsunmath -lsocket -lnsl -R /usr/openwin/lib -R /usr/dt/lib
 endif
 ifeq "$(UNAME)" "Darwin"
-    CC=gcc
-    F77=g77
+    CC=/opt/osxws/bin/gcc
+    F77=/opt/osxws/bin/gfortran
     CFLAGS= $(DFLG) 
     FFLAGS= $(DFLG) 
     MXTLIBS = -lXm -lXt -lX11 -lm -lfor -lots
diff -uNr stdhep-5-06-01.ORIG/src/stdhep/cnv1998to2000.F stdhep-5-06-01/src/stdhep/cnv1998to2000.F
--- stdhep-5-06-01.ORIG/src/stdhep/cnv1998to2000.F	2003-06-17 05:05:10.000000000 +0900
+++ stdhep-5-06-01/src/stdhep/cnv1998to2000.F	2011-07-16 18:06:53.000000000 +0900
@@ -58,14 +58,18 @@
       ida=iabs(id)
 
       if(ida.eq.0)then
+#if 0
 D        write(lnhout,*) ' CNV1998TO2000 1: particle id is zero'
+#endif
       elseif(mconv.eq.1)then
         do i = 1,mxlist
            if(ida.eq.itab1998(i))then
               cnv1998to2000=isign(itab2000(i),id)
            endif
         enddo
+#if 0
 D        if(cnv1998to2000.eq.0 ) write(lnhout,1002) id
+#endif
       elseif(mconv.eq.2)then
         do i = 1,mxlist
            if(ida.eq.itab2000(i))then
@@ -76,11 +80,15 @@
 	      endif
            endif
         enddo
+#if 0
 D        if(cnv1998to2000.eq.0 ) write(lnhout,1001) id
+#endif
       endif
       return
+#if 0
 D 1001 format(' CNV1998TO2000 3: ID ',i7,
 D     1            ' is not a defined PDG 1998 state')
 D 1002 format(' CNV1998TO2000 4: ID ',i7,
 D     1            ' is not a defined PDG 2000 state')
+#endif
       end
diff -uNr stdhep-5-06-01.ORIG/src/stdhep/cnv2000to2002.F stdhep-5-06-01/src/stdhep/cnv2000to2002.F
--- stdhep-5-06-01.ORIG/src/stdhep/cnv2000to2002.F	2003-06-17 05:05:10.000000000 +0900
+++ stdhep-5-06-01/src/stdhep/cnv2000to2002.F	2011-07-16 18:08:31.000000000 +0900
@@ -80,14 +80,18 @@
       ida=iabs(id)
 
       if(ida.eq.0)then
+#if 0
 D        write(lnhout,1001) 
+#endif
       elseif(mconv.eq.1)then
         do i = 1,mxlist
            if(ida.eq.itab2000(i))then
               cnv2000to2002=isign(itab2002(i),id)
            endif
         enddo
+#if 0
 D        if(cnv2000to2002.eq.0 ) write(lnhout,1002) id
+#endif
       elseif(mconv.eq.2)then
         do i = 1,mxlist
            if(ida.eq.itab2002(i))then
@@ -98,12 +102,16 @@
 	      endif
            endif
         enddo
+#if 0
 D        if(cnv2000to2002.eq.0 ) write(lnhout,1003) id
+#endif
       endif
       return
+#if 0
 D 1001 format(' CNV2000TO2002 1: particle id is zero')
 D 1002 format(' CNV2000TO2002 4: ID ',i7,
 D     1            ' is not a defined PDG 2002 state')
 D 1003 format(' CNV2000TO2002 3: ID ',i7,
 D     1            ' is not a defined PDG 2000 state')
+#endif
       end
diff -uNr stdhep-5-06-01.ORIG/src/stdhep/cnv2000to2004.F stdhep-5-06-01/src/stdhep/cnv2000to2004.F
--- stdhep-5-06-01.ORIG/src/stdhep/cnv2000to2004.F	2004-06-03 11:13:13.000000000 +0900
+++ stdhep-5-06-01/src/stdhep/cnv2000to2004.F	2011-07-16 18:09:49.000000000 +0900
@@ -153,14 +153,18 @@
       ida=iabs(id)
 
       if(ida.eq.0)then
+#if 0
 D        write(lnhout,1001) 
+#endif
       elseif(mconv.eq.1)then
         do i = 1,mxlist
            if(ida.eq.itab2000(i))then
               cnv2000to2004=isign(itab2004(i),id)
            endif
         enddo
+#if 0
 D        if(cnv2000to2004.eq.0 ) write(lnhout,1002) id
+#endif
       elseif(mconv.eq.2)then
         do i = 1,mxlist
            if(ida.eq.itab2004(i))then
@@ -171,12 +175,16 @@
 	      endif
            endif
         enddo
+#if 0
 D        if(cnv2000to2004.eq.0 ) write(lnhout,1003) id
+#endif
       endif
       return
+#if 0
 D 1001 format(' cnv2000to2004 1: particle id is zero')
 D 1002 format(' cnv2000to2004 4: ID ',i7,
 D     1            ' is not a defined PDG 2004 state')
 D 1003 format(' cnv2000to2004 3: ID ',i7,
 D     1            ' is not a defined PDG 2000 state')
+#endif
       end
diff -uNr stdhep-5-06-01.ORIG/src/stdhep/cnv2004to2006.F stdhep-5-06-01/src/stdhep/cnv2004to2006.F
--- stdhep-5-06-01.ORIG/src/stdhep/cnv2004to2006.F	2007-11-06 03:23:57.000000000 +0900
+++ stdhep-5-06-01/src/stdhep/cnv2004to2006.F	2011-07-16 18:11:01.000000000 +0900
@@ -80,14 +80,18 @@
       ida=iabs(id)
 
       if(ida.eq.0)then
+#if 0
 D        write(lnhout,1001) 
+#endif
       elseif(mconv.eq.1)then
         do i = 1,mxlist
            if(ida.eq.itab2004(i))then
               cnv2004to2006=isign(itab2006(i),id)
            endif
         enddo
+#if 0
 D        if(cnv2004to2006.eq.0 ) write(lnhout,1002) id
+#endif
       elseif(mconv.eq.2)then
         do i = 1,mxlist
            if(ida.eq.itab2006(i))then
@@ -109,12 +113,16 @@
 	elseif(k10000.eq.10009 .or. k10000.eq.10006)then
           cnv2004to2006=0
 	endif
+#if 0
 D        if(cnv2004to2006.eq.0 ) write(lnhout,1003) id
+#endif
       endif
       return
+#if 0
 D 1001 format(' cnv2004to2006 1: particle id is zero')
 D 1002 format(' cnv2004to2006 4: ID ',i7,
 D     1            ' is not a defined PDG 2006 state')
 D 1003 format(' cnv2004to2006 3: ID ',i7,
 D     1            ' is not a defined PDG 2004 state')
+#endif
       end
diff -uNr stdhep-5-06-01.ORIG/src/stdhep/stdsort.F stdhep-5-06-01/src/stdhep/stdsort.F
--- stdhep-5-06-01.ORIG/src/stdhep/stdsort.F	1998-01-29 06:23:08.000000000 +0900
+++ stdhep-5-06-01/src/stdhep/stdsort.F	2011-07-16 18:11:47.000000000 +0900
@@ -86,7 +86,9 @@
 C...did we miss anything?
       do I=1,NHEP
         if(LIST(I).EQ.0)then
+#if 0
 D         write(lnhout,1002) I
+#endif
           IN = IN+1
           LIST(I) = IN
           IREV(IN) = I
diff -uNr stdhep-5-06-01.ORIG/src/stdhep_arch stdhep-5-06-01/src/stdhep_arch
--- stdhep-5-06-01.ORIG/src/stdhep_arch	2007-11-07 07:59:42.000000000 +0900
+++ stdhep-5-06-01/src/stdhep_arch	2011-07-16 17:53:34.000000000 +0900
@@ -42,18 +42,18 @@
     LIBS=-lXm -lXt -lX11 -lm -lftn -lPW -lm
 endif
 ifeq "$(UNAME)" "Darwin"
-    CC=gcc
-    CPP=gcc
-    F77=g77
-    CFLAGS= $(DFLG)  -I/sw/include
+    CC=/opt/osxws/bin/gcc
+    CPP=/opt/osxws/bin/gcc
+    F77=/opt/osxws/bin/gfortran
+    CFLAGS= $(DFLG)  -I/opt/osxws/include
     FFLAGS= $(DFLG) -fno-second-underscore
     KPPFLAGS= -C -P -DUNIX
     LOCAL = -lSystem -ldl
     #BUILD_SHARED = true
     SHFLAG = -fPIC
     SHEXT  = dylib
-    LIBS= -L/usr/X11R6/lib -L/sw/lib -lXm -lXt -lX11 -lXext \
-          -lm -lg2c
+    LIBS= -L/opt/X11/lib -L/opt/osxws/lib -lXm -lXt -lX11 -lXext \
+          -lm -lgfortran
 endif
 ifeq "$(UNAME)" "Linux"
     CC=gcc
